> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sandbox status (lightweight)

> Sandbox status

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Sandbox identifier
</ParamField>

### Response

`object`

<ResponseField name="sandbox_id" type="string (uuid)" required />

<ResponseField name="status" type="string" required />

<ResponseField name="expires_at" type="string (date-time)" required />

<ResponseField name="max_expires_at" type="string (date-time)" required />

<ResponseField name="max_lifetime_seconds" type="integer" required />

<ResponseField name="remaining_extend_seconds" type="integer" required />

<ResponseField name="lifetime_used_seconds" type="integer" required />

<ResponseField name="lifetime_used_percent" type="number" required />

### Status codes

| Code  | Meaning        |
| ----- | -------------- |
| `200` | Sandbox status |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sandbox.stateset.app/api/v1/sandbox/{id}/status' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "sandbox_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "creating",
    "expires_at": "2026-08-31T14:22:05Z",
    "max_expires_at": "2026-08-31T14:22:05Z",
    "max_lifetime_seconds": 250,
    "remaining_extend_seconds": 250,
    "lifetime_used_seconds": 250,
    "lifetime_used_percent": 7.5
  }
  ```
</ResponseExample>
